# macop.operators.mutators.SimpleMutation

Mutation implementation for binary solution, swap two bits randomly from solution

Classes

`SimpleMutation`() | Mutation implementation for binary solution, swap two bits randomly from solution

class `macop.operators.mutators.SimpleMutation.``SimpleMutation`

  Mutation implementation for binary solution, swap two bits randomly from solution

  `kind`

    {KindOperator} – specify the kind of operator

  `apply`(_solution)

    Create new solution based on solution passed as parameter

    Parameters

      _solution – {Solution} – the solution to use for generating new solution

    Returns

      {Solution} – new generated solution